Debian Bug report logs - #639712
elyxer: Croaks when I use --title with non-ascii characters

version graph

Package: elyxer; Maintainer for elyxer is Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>; Source for elyxer is src:elyxer.

Reported by: Torquil Macdonald Sørensen <torquil@gmail.com>

Date: Mon, 29 Aug 2011 16:15:01 UTC

Severity: normal

Found in version elyxer/1.2.2-1

Fixed in version elyxer/1.2.3-1

Done: Sven Hoexter <hoexter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>:
Bug#639712; Package elyxer. (Mon, 29 Aug 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torquil Macdonald Sørensen <torquil@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>. (Mon, 29 Aug 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torquil Macdonald Sørensen <torquil@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: elyxer: Croaks when I use --title with non-ascii characters
Date: Mon, 29 Aug 2011 18:12:00 +0200
Package: elyxer
Version: 1.2.2-1
Severity: normal

Hi!

When I use the --title option together with non-ascii characters,
elyxer fails. I get the following error message:

cd website; elyxer --title "Website of Torquil Macdonald Sørensen" ../website.lyx page.html
Line 73: Title: Website
Line 415: * [eLyXer version 1.2.2 (2011-06-12) in /usr/bin/elyxer] 
Line 415: * Conversion failed at 
Traceback (most recent call last):
  File "/usr/bin/elyxer", line 10009, in <module>
    main()
  File "/usr/bin/elyxer", line 10004, in main
    convertdoc(list(sys.argv))
  File "/usr/bin/elyxer", line 10000, in convertdoc
    converter.convert()
  File "/usr/bin/elyxer", line 9884, in convert
    self.processcontents()
  File "/usr/bin/elyxer", line 9904, in processcontents
    self.basket.finish()
  File "/usr/bin/elyxer", line 9454, in finish
    self.flush()
  File "/usr/bin/elyxer", line 9310, in flush
    self.writer.write(container.gethtml())
  File "/usr/bin/elyxer", line 2415, in gethtml
    html = self.output.gethtml(self)
  File "/usr/bin/elyxer", line 3733, in gethtml
    return HTMLTemplate.get().convertheader()
  File "/usr/bin/elyxer", line 3476, in convertheader
    return self.convert(self.getheader())
  File "/usr/bin/elyxer", line 3487, in convert
    html[index] = varmap.replace(line)
  File "/usr/bin/elyxer", line 3681, in replace
    result += self.getvalue(pos)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 30: ordinal not in range(128)
make: *** [html] Error 1

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (700, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.3 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages elyxer depends on:
ii  python                        2.6.7-3    interactive high-level object-orie

elyxer recommends no packages.

elyxer suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>:
Bug#639712; Package elyxer. (Tue, 30 Aug 2011 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Fernandez <elyxer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>. (Tue, 30 Aug 2011 23:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 639712@bugs.debian.org (full text, mbox):

From: Alex Fernandez <elyxer@gmail.com>
To: Torquil Macdonald Sørensen <torquil@gmail.com>, 639712@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-lyx-devel] Bug#639712: elyxer: Croaks when I use --title with non-ascii characters
Date: Wed, 31 Aug 2011 01:03:35 +0200
On Mon, Aug 29, 2011 at 6:12 PM, Torquil Macdonald Sørensen
<torquil@gmail.com> wrote:
> Package: elyxer
> Version: 1.2.2-1
> Severity: normal
>
> Hi!
>
> When I use the --title option together with non-ascii characters,
> elyxer fails. I get the following error message:

Reproduced, thanks! I will add a test case, try to solve it and
release an updated version ASAP.

Alex.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>:
Bug#639712; Package elyxer. (Wed, 31 Aug 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Fernandez <elyxer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>. (Wed, 31 Aug 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 639712@bugs.debian.org (full text, mbox):

From: Alex Fernandez <elyxer@gmail.com>
To: Torquil Macdonald Sørensen <torquil@gmail.com>, 639712@bugs.debian.org
Subject: Re: [Pkg-lyx-devel] Bug#639712: Bug#639712: elyxer: Croaks when I use --title with non-ascii characters
Date: Wed, 31 Aug 2011 02:48:52 +0200
On Wed, Aug 31, 2011 at 1:03 AM, Alex Fernandez <elyxer@gmail.com> wrote:
> On Mon, Aug 29, 2011 at 6:12 PM, Torquil Macdonald Sørensen
> <torquil@gmail.com> wrote:
>> Package: elyxer
>> Version: 1.2.2-1
>> Severity: normal
>>
>> Hi!
>>
>> When I use the --title option together with non-ascii characters,
>> elyxer fails. I get the following error message:
>
> Reproduced, thanks! I will add a test case, try to solve it and
> release an updated version ASAP.

Verified, solved and tested in commit:
  http://git.savannah.gnu.org/cgit/elyxer.git/commit/?id=74176b11cc823bcace0bee1ceb764b6db537e1fb

I have just released an (overdue anyway) new version to solve the bug,
1.2.3. It would be nice if you could test if it solves the bug.

Thanks,

Alex.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>:
Bug#639712; Package elyxer. (Wed, 31 Aug 2011 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hoexter <sven@timegate.de>:
Extra info received and forwarded to list. Copy sent to Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>. (Wed, 31 Aug 2011 07:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 639712@bugs.debian.org (full text, mbox):

From: Sven Hoexter <sven@timegate.de>
To: Alex Fernandez <elyxer@gmail.com>, 639712@bugs.debian.org
Cc: Torquil Macdonald Sørensen <torquil@gmail.com>
Subject: Re: [Pkg-lyx-devel] Bug#639712: Bug#639712: Bug#639712: elyxer: Croaks when I use --title with non-ascii characters
Date: Wed, 31 Aug 2011 09:55:52 +0200
On Wed, Aug 31, 2011 at 02:48:52AM +0200, Alex Fernandez wrote:

Hi,

> I have just released an (overdue anyway) new version to solve the bug,
> 1.2.3. It would be nice if you could test if it solves the bug.

I'll try to upload that to unstable asap.

Sven




Reply sent to Sven Hoexter <hoexter@debian.org>:
You have taken responsibility. (Wed, 31 Aug 2011 18:51:23 GMT) Full text and rfc822 format available.

Notification sent to Torquil Macdonald Sørensen <torquil@gmail.com>:
Bug acknowledged by developer. (Wed, 31 Aug 2011 18:51:23 GMT) Full text and rfc822 format available.

Message #25 received at 639712-close@bugs.debian.org (full text, mbox):

From: Sven Hoexter <hoexter@debian.org>
To: 639712-close@bugs.debian.org
Subject: Bug#639712: fixed in elyxer 1.2.3-1
Date: Wed, 31 Aug 2011 18:49:18 +0000
Source: elyxer
Source-Version: 1.2.3-1

We believe that the bug you reported is fixed in the latest version of
elyxer, which is due to be installed in the Debian FTP archive:

elyxer_1.2.3-1.diff.gz
  to main/e/elyxer/elyxer_1.2.3-1.diff.gz
elyxer_1.2.3-1.dsc
  to main/e/elyxer/elyxer_1.2.3-1.dsc
elyxer_1.2.3-1_all.deb
  to main/e/elyxer/elyxer_1.2.3-1_all.deb
elyxer_1.2.3.orig.tar.gz
  to main/e/elyxer/elyxer_1.2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639712@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Hoexter <hoexter@debian.org> (supplier of updated elyxer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 31 Aug 2011 20:32:28 +0200
Source: elyxer
Binary: elyxer
Architecture: source all
Version: 1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Changed-By: Sven Hoexter <hoexter@debian.org>
Description: 
 elyxer     - standalone LyX to HTML converter
Closes: 639712
Changes: 
 elyxer (1.2.3-1) unstable; urgency=low
 .
   * New upstream release.
     + The --title option now works with non-ascii characters.
       (Closes: #639712)
   * Update the elyxer.1 manpage.
     + Remove the long text from --imageformat.
     + Mark --jsmath and --nocopy as deprecated.
     + Document the new --mathjax remote option.
Checksums-Sha1: 
 d22b5ac81b53a3240c5cdc02a638c586a7e85421 1839 elyxer_1.2.3-1.dsc
 08d9a0707ccd45cab07ec270b282668087a4fae5 1087585 elyxer_1.2.3.orig.tar.gz
 fe025d0745a3bc137c0c506333197b32da333610 6998 elyxer_1.2.3-1.diff.gz
 ee47a425e0028fd1581ae2fa5aca40498fe52eeb 337394 elyxer_1.2.3-1_all.deb
Checksums-Sha256: 
 4551df4a951e1a5688c4b4526328b8fc70cbf488d6a977efc959a503ea5d949f 1839 elyxer_1.2.3-1.dsc
 a43cc5716e32f0bd039db9f06994569627ad1cebbdfd066e3df7f75951c83cee 1087585 elyxer_1.2.3.orig.tar.gz
 007fd50388cf1058d13aeccf629fafa08fe3e2cf10443506a692c1f59f3e69d7 6998 elyxer_1.2.3-1.diff.gz
 664c695e1e08af02a25899e7643bf22698e38bf1a8ed0f40fd28dce781743541 337394 elyxer_1.2.3-1_all.deb
Files: 
 029294af4ab7fd21ab447f52bf5c4dc0 1839 text optional elyxer_1.2.3-1.dsc
 b745eed972ce31d391579793ec5829f6 1087585 text optional elyxer_1.2.3.orig.tar.gz
 c8a846e0e13e111830d2d0080292121a 6998 text optional elyxer_1.2.3-1.diff.gz
 def28adff9c3543834e8730af9f5b60d 337394 text optional elyxer_1.2.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOXn8GAAoJEKbcJNnaJJPRm2cP/2w4daTMBoc7VQxWiNN+Sz+m
AjILVl+Bvdvt0tO4vOdV2SEEeqEn37LqkZIU8zoiSgGXN7ljSdxP+PwhA4viTm4L
p4uQALvuoO+1PBRmwOn6umV/FUTylNmGVmYnCaJIxO5sWFGoGPI5WOKhDdWVwmdi
Pn2f5icnJU5twJVqAiI8zv8uVmsGXyctbJwSqOES5tnA/iXIm4paiVzzfw0SjgqF
GPQ1vVP6JPPklV2/Ys95COuF+1wihkbvw6vs8qIv4LukUblkaYqUCZqFACenLfep
OPj3biKQx3eqvuaVnaNZq4cLs+TOrI0fDTcB7ycxMLGO81FKyhV6XyOpnl/lvYVI
VqmAsmdq8BCtyepjMX0Io+xG+1McBpAXrQSMnvkXiNH8V13owzFF91GBjwBOXG+W
0s4ezoImsrJgfG95f7GzSXEQWP+jXGyQzIoBvgqR2xNllKXBTryYo+IVwWuhv+cV
H9sBdOx3vtgl68H82ewb6YfgNu527PSYCEID5eI3R9XxzeEUAGaKDQJQoBvyjKWs
BgwxXQVBuw9m0dOsbyw6/sgh2a/NMwXm6fwaXS2FhbLHZDt4VTGJVfjoQtg8ULRf
LAla85IbZ+9XvGc/PxWeM6pNxd9Qdjjq3Qeoyl4NklZuXOrlD5j/nB4RzW0GcPY0
Kv38l+zxEZR+IG9ittXm
=Ywiz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Oct 2011 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:37:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.